#ifndef RECOVERY_TASK_H_
#define RECOVERY_TASK_H_

typedef struct recovery_task_t recovery_task_t;

#include <library.h>

struct recovery_task_t {
	
	void (*init) (recovery_task_t *this);
	
	bool (*recovery) (recovery_task_t *this);
	
	void (*destroy) (recovery_task_t *this);
	
	void (*set_data) (recovery_task_t *this, void *data);
};

recovery_task_t *recovery_task_create(void *data);

#endif /** RECOVERY_TASK_H_ @}*/
